Name:           light-locker
Version:        1.8.0
Release:        3%{?dist}
Summary:        A simple session-locker for lightdm

# unclear license: https://github.com/the-cavalry/light-locker/issues/33
License:        GPLv2+
URL:            https://github.com/the-cavalry/%{name}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  xfce4-dev-tools
BuildRequires:  gtk3-devel
BuildRequires:  libXScrnSaver-devel
# xorg-x11-proto provides "mit-ext"
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  systemd-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

# functional runtime
Requires:       lightdm


%description
%{name} is a simple locker (forked from gnome-screensaver)
that aims to have simple, sane, secure defaults and be well
integrated with the desktop while not carrying any desktop-
specific dependencies.
It relies on lightdm for locking and unlocking your session.


%prep
%autosetup -p 1
NOCONFIGURE=1 ./autogen.sh


%build
# FIXME build also gtk2? ( --with-gtk2 )
# enforce lock on suspend as RedHat Security Response Team requests (see rhbz#614608 and 632978)
%configure \
  --disable-silent-rules \
  --enable-lock-on-suspend=on \
  --with-gtk3 \
  --with-systemd \
  --without-console-kit
%make_build


%install
%make_install
%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/*.desktop


%if (0%{?fedora} && 0%{?fedora} <= 23) || (0%{?rhel} && 0%{?rhel} <= 7)
%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
%endif


%if (0%{?fedora} && 0%{?fedora} <= 23) || (0%{?rhel} && 0%{?rhel} <= 7)
%posttrans
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
%endif


%files -f %{name}.lang
%license COPYING COPYING.LIB
# ignore empty file HACKING
#doc AUTHORS ChangeLog NEWS README
%doc AUTHORS NEWS README
%{_bindir}/%{name}*
%{_sysconfdir}/xdg/autostart/*.desktop
# glib2 owns %{datadir}/glib-2.0/schemas
%{_datadir}/glib-2.0/schemas/apps.*.xml
%{_mandir}/man1/%{name}*.1*


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Aug 21 2017 Raphael Groner <projects.rg@smart.ms> - 1.8.0-1
- new version
- drop upstream patch for systemd (rhbz#1462463)

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 18 2017 Björn Esser <besser82@fedoraproject.org> - 1.7.0-4
- Add upstream patch to fix detection of systemd (rhbz#1462463)
- Update spec file to recent guidelines
- Use unmodified git-tree as souces, so patches can be applied easily

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 28 2015 Raphael Groner <projects.rg@smart.ms> - 1.7.0-1
- new version (flagged as pre-release at upstream), rhbz#1275116

* Sun Jul 05 2015 Raphael Groner <projects.rg@smart.ms> - 1.6.0-4
- enforce lock on suspend

* Sun Jul 05 2015 Raphael Groner <projects.rg@smart.ms> - 1.6.0-3
- fix NotShowIn desktop file entry

* Fri Jun 26 2015 Raphael Groner <projects.rg@smart.ms> - 1.6.0-2
- fix license, enhance build options, add gsettings schema scriplets

* Tue May 26 2015 Raphael Groner <projects.rg@smart.ms> - 1.6.0-1
- initial
